public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/kdevelop/
Date: Tue, 21 Aug 2018 17:11:54 +0000 (UTC)	[thread overview]
Message-ID: <1534871502.3e74f7c3e984d0573c1b640ec20c269d69a63b23.asturm@gentoo> (raw)

commit:     3e74f7c3e984d0573c1b640ec20c269d69a63b23
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 21 16:07:41 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Aug 21 17:11:42 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e74f7c3

dev-util/kdevelop: 5.2.4 version bump

Package-Manager: Portage-2.3.48, Repoman-2.3.10

 dev-util/kdevelop/Manifest              |   1 +
 dev-util/kdevelop/kdevelop-5.2.4.ebuild | 134 ++++++++++++++++++++++++++++++++
 2 files changed, 135 insertions(+)

diff --git a/dev-util/kdevelop/Manifest b/dev-util/kdevelop/Manifest
index e74e0c9097d..37a421ce0ee 100644
--- a/dev-util/kdevelop/Manifest
+++ b/dev-util/kdevelop/Manifest
@@ -1 +1,2 @@
 DIST kdevelop-5.2.3.tar.xz 6643364 BLAKE2B a08d5cc786a603b3e23d1d9bf9d362a35f2280436072df239ff6becbd9f0ecc370b35a8e95d3443475218eb5a27e044d76f3d34cd41f082fc65650ce05c499f7 SHA512 5a7f514f24725ab1dbb33d63fd365159c3a8831c400aeef4f1e463acc60d81e9db1a23d320b5be215597884fbf0cc6ec8aed4f69e1fd60f68328b5a052b39c3d
+DIST kdevelop-5.2.4.tar.xz 6647172 BLAKE2B c3dc301cf16bdef95000aa6cb3ebe615054f49ad29bc67870c31d329cf7bd4df81dad330eb26dd28c19627b2040f62522d755afa4450bb125872350d1f8039e1 SHA512 1c64b4f56452e8c926c5bcea5a9d8368fa62926d1ec507d289d8cb47275d478898d56fdf083fc24e291aaf4738cc5b7ddfd239e6993848e862bc4d83e270558b

diff --git a/dev-util/kdevelop/kdevelop-5.2.4.ebuild b/dev-util/kdevelop/kdevelop-5.2.4.ebuild
new file mode 100644
index 00000000000..361ca0737b8
--- /dev/null
+++ b/dev-util/kdevelop/kdevelop-5.2.4.ebuild
@@ -0,0 +1,134 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGIT_BRANCH="5.2"
+KDE_HANDBOOK="forceoptional"
+KDE_TEST="true"
+VIRTUALDBUS_TEST="true"
+VIRTUALX_REQUIRED="test"
+inherit kde5
+
+DESCRIPTION="Integrated Development Environment, supporting KF5/Qt, C/C++ and much more"
+LICENSE="GPL-2 LGPL-2"
+IUSE="cvs +gdbui hex +plasma +qmake reviewboard subversion webkit +welcomepage"
+[[ ${KDE_BUILD_TYPE} = release ]] && KEYWORDS="~amd64 ~x86"
+
+REQUIRED_USE="test? ( welcomepage )"
+
+COMMON_DEPEND="
+	$(add_frameworks_dep karchive)
+	$(add_frameworks_dep kbookmarks)
+	$(add_frameworks_dep kcmutils)
+	$(add_frameworks_dep kcodecs)
+	$(add_frameworks_dep kcompletion)
+	$(add_frameworks_dep kconfig)
+	$(add_frameworks_dep kconfigwidgets)
+	$(add_frameworks_dep kcoreaddons)
+	$(add_frameworks_dep kcrash)
+	$(add_frameworks_dep kdeclarative)
+	$(add_frameworks_dep kguiaddons)
+	$(add_frameworks_dep ki18n)
+	$(add_frameworks_dep kiconthemes)
+	$(add_frameworks_dep kio)
+	$(add_frameworks_dep kitemmodels)
+	$(add_frameworks_dep kitemviews)
+	$(add_frameworks_dep kjobwidgets)
+	$(add_frameworks_dep knewstuff)
+	$(add_frameworks_dep knotifications)
+	$(add_frameworks_dep knotifyconfig)
+	$(add_frameworks_dep kparts)
+	$(add_frameworks_dep kservice)
+	$(add_frameworks_dep ktexteditor)
+	$(add_frameworks_dep ktextwidgets)
+	$(add_frameworks_dep kwidgetsaddons)
+	$(add_frameworks_dep kwindowsystem)
+	$(add_frameworks_dep kxmlgui)
+	$(add_frameworks_dep sonnet)
+	$(add_frameworks_dep threadweaver)
+	$(add_kdeapps_dep libkomparediff2)
+	$(add_qt_dep qtdbus)
+	$(add_qt_dep qtdeclarative)
+	$(add_qt_dep qtgui)
+	$(add_qt_dep qthelp)
+	$(add_qt_dep qtnetwork)
+	$(add_qt_dep qttest)
+	$(add_qt_dep qtwidgets)
+	$(add_qt_dep qtxml)
+	dev-libs/grantlee:5
+	>=sys-devel/clang-3.8.0:=
+	x11-misc/shared-mime-info
+	gdbui? ( $(add_plasma_dep libksysguard) )
+	hex? ( app-editors/okteta:5 )
+	plasma? (
+		$(add_frameworks_dep krunner)
+		$(add_frameworks_dep plasma)
+	)
+	qmake? ( dev-util/kdevelop-pg-qt:5 )
+	reviewboard? ( $(add_frameworks_dep purpose) )
+	subversion? (
+		dev-libs/apr:1
+		dev-libs/apr-util:1
+		dev-vcs/subversion
+	)
+	webkit? ( $(add_qt_dep qtwebkit) )
+	!webkit? ( $(add_qt_dep qtwebengine 'widgets') )
+	welcomepage? ( $(add_qt_dep qtdeclarative 'widgets') )
+"
+DEPEND="${COMMON_DEPEND}
+	dev-libs/boost
+	$(add_qt_dep qtconcurrent)
+"
+RDEPEND="${COMMON_DEPEND}
+	$(add_kdeapps_dep kapptemplate)
+	$(add_kdeapps_dep kio-extras)
+	dev-util/ninja
+	>=sys-devel/gdb-7.0[python]
+	cvs? ( dev-vcs/cvs )
+	reviewboard? ( $(add_kdeapps_dep ktp-accounts-kcm) )
+	!dev-util/kdevelop:4
+	!dev-util/kdevelop-clang
+	!dev-util/kdevelop-cppcheck
+	!dev-util/kdevelop-qmake
+	!dev-util/kdevelop-qmljs
+	!dev-util/kdevplatform
+"
+
+RESTRICT+=" test"
+# see bug 366471
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_cvs=$(usex cvs)
+		$(cmake-utils_use_find_package gdbui KF5SysGuard)
+		-DBUILD_executeplasmoid=$(usex plasma)
+		$(cmake-utils_use_find_package plasma KF5Plasma)
+		$(cmake-utils_use_find_package hex OktetaKastenControllers)
+		$(cmake-utils_use_find_package qmake KDevelop-PG-Qt)
+		$(cmake-utils_use_find_package reviewboard KF5Purpose)
+		$(cmake-utils_use_find_package subversion SubversionLibrary)
+		$(cmake-utils_use_find_package !webkit Qt5WebEngineWidgets)
+		$(cmake-utils_use_find_package welcomepage Qt5QuickWidgets)
+	)
+
+	use reviewboard || mycmakeargs+=( -DCMAKE_DISABLE_FIND_PACKAGE_KDEExperimentalPurpose=ON )
+
+	kde5_src_configure
+}
+
+pkg_postinst() {
+	kde5_pkg_postinst
+
+	if ! has_version "kde-apps/konsole" ; then
+		elog "For konsole view, please install kde-apps/konsole"
+	fi
+
+	if ! has_version "dev-util/cppcheck" ; then
+		elog "For static C/C++ code analysis support, please install dev-util/cppcheck"
+	fi
+
+	if ! has_version "dev-util/heaptrack[qt5]" ; then
+		elog "For heap memory profiling support, please install dev-util/heaptrack"
+	fi
+}


             reply	other threads:[~2018-08-21 17:11 UTC|newest]

Thread overview: 125+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-08-21 17:11 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-04 22:35 [gentoo-commits] repo/gentoo:master commit in: dev-util/kdevelop/ Andreas Sturmlechner
2024-10-04 16:59 Arthur Zamarin
2024-09-19 18:34 Sam James
2024-09-02  7:17 Andreas Sturmlechner
2024-06-19 15:03 Andreas Sturmlechner
2024-06-16 18:42 Andreas Sturmlechner
2024-06-16 18:28 Andreas Sturmlechner
2024-05-20 17:18 Andreas Sturmlechner
2024-03-11  9:50 Andreas Sturmlechner
2023-12-17 23:02 Andreas Sturmlechner
2023-07-24 13:28 Andreas Sturmlechner
2023-04-29 11:42 Arthur Zamarin
2023-04-29  0:40 Sam James
2023-04-22  9:13 Andreas Sturmlechner
2023-03-26 23:25 Sam James
2023-01-26  8:45 Andreas Sturmlechner
2023-01-25 19:22 Arthur Zamarin
2023-01-21 19:26 Arthur Zamarin
2023-01-09 19:47 Andreas Sturmlechner
2023-01-03 19:15 Arthur Zamarin
2022-04-17 19:29 Sam James
2022-03-21 11:04 Andreas Sturmlechner
2021-11-12 18:54 Georgy Yakovlev
2021-03-07 19:52 Andreas Sturmlechner
2021-03-07 19:46 Sam James
2021-03-06 15:11 Thomas Deutschmann
2021-02-02 19:42 Andreas Sturmlechner
2021-01-10 15:53 Andreas Sturmlechner
2021-01-10 13:08 Sam James
2021-01-08 10:34 Sam James
2020-12-08 23:15 Andreas Sturmlechner
2020-11-03  7:21 Andreas Sturmlechner
2020-11-02 23:53 Sam James
2020-10-22 22:04 Andreas Sturmlechner
2020-09-08 18:08 Andreas Sturmlechner
2020-06-26  6:40 Andreas Sturmlechner
2020-06-21 20:31 Thomas Deutschmann
2020-06-02 14:58 Andreas Sturmlechner
2020-06-02 14:58 Andreas Sturmlechner
2020-05-07  7:54 Andreas Sturmlechner
2020-05-07  7:54 Andreas Sturmlechner
2020-03-22 20:43 Andreas Sturmlechner
2020-03-22 20:41 Andreas Sturmlechner
2020-03-20  9:04 Agostino Sarubbo
2020-03-12 16:21 Agostino Sarubbo
2020-02-26 18:25 Andreas Sturmlechner
2020-02-09 13:14 David Seifert
2020-02-05  0:48 Maciej Mrozowski
2020-02-05  0:35 Maciej Mrozowski
2020-01-10  9:50 Andreas Sturmlechner
2020-01-10  1:26 Thomas Deutschmann
2020-01-07 19:34 Andreas Sturmlechner
2019-12-31 13:34 Mikle Kolyada
2019-12-25 17:51 Andreas Sturmlechner
2019-12-02 23:34 Andreas Sturmlechner
2019-11-13  2:32 Andreas Sturmlechner
2019-11-10 21:31 Andreas Sturmlechner
2019-10-26 22:42 Andreas Sturmlechner
2019-10-21 20:58 Andreas Sturmlechner
2019-10-21 12:47 Thomas Deutschmann
2019-09-21 11:45 Andreas Sturmlechner
2019-09-03 17:29 Andreas Sturmlechner
2019-09-03 17:29 Andreas Sturmlechner
2019-08-14 13:00 Andreas Sturmlechner
2019-08-14 10:58 Andreas Sturmlechner
2019-08-14 10:14 Mikle Kolyada
2019-08-13 19:38 Andreas Sturmlechner
2019-08-10  1:25 Michael Palimaka
2019-08-06 21:43 Andreas Sturmlechner
2019-07-18 20:58 Andreas Sturmlechner
2019-04-01 20:45 Andreas Sturmlechner
2019-03-22 10:17 Mikle Kolyada
2019-03-17 17:26 Andreas Sturmlechner
2019-03-07 10:02 Andreas Sturmlechner
2019-03-07 10:02 Andreas Sturmlechner
2018-12-12 23:11 Maciej Mrozowski
2018-11-19  2:26 Maciej Mrozowski
2018-10-14  9:50 Andreas Sturmlechner
2018-10-14  7:57 Mikle Kolyada
2018-10-14  1:44 Thomas Deutschmann
2018-09-04 20:49 Andreas Sturmlechner
2018-08-19  8:52 Andreas Sturmlechner
2018-07-09 16:02 Mikle Kolyada
2018-07-04  3:17 Thomas Deutschmann
2018-06-12 20:44 Johannes Huber
2018-03-21 21:48 Andreas Sturmlechner
2018-01-05  0:48 Andreas Sturmlechner
2018-01-04 17:39 Mikle Kolyada
2017-12-30  1:05 Thomas Deutschmann
2017-12-16 10:31 Tobias Klausmann
2017-11-24 23:08 Andreas Sturmlechner
2017-11-24 23:08 Andreas Sturmlechner
2017-11-20  1:03 Andreas Sturmlechner
2017-10-29 23:56 Thomas Deutschmann
2017-10-19 22:54 Andreas Sturmlechner
2017-08-29 21:27 Andreas Sturmlechner
2017-08-19 20:21 Andreas Sturmlechner
2017-08-19 15:03 Michael Palimaka
2017-07-31 12:20 Tobias Klausmann
2017-06-04 10:45 Michael Palimaka
2017-05-06 20:05 Andreas Sturmlechner
2017-05-06 20:05 Andreas Sturmlechner
2017-05-06 17:20 Agostino Sarubbo
2017-05-06 13:26 Agostino Sarubbo
2017-03-18 21:41 Johannes Huber
2017-03-15 16:45 Andreas Sturmlechner
2017-03-04 12:22 Johannes Huber
2016-12-26 10:51 Aaron Bauman
2016-12-17 19:40 Johannes Huber
2016-12-17  8:32 Johannes Huber
2016-12-17  8:32 Johannes Huber
2016-12-01 18:26 Johannes Huber
2016-10-30 18:09 Johannes Huber
2016-09-21 14:57 Michael Palimaka
2016-08-31 15:03 Michael Palimaka
2016-08-20 18:28 Michael Palimaka
2015-12-26 12:03 Agostino Sarubbo
2015-12-25 16:47 Agostino Sarubbo
2015-12-01 11:20 Agostino Sarubbo
2015-11-10 17:34 Michael Palimaka
2015-10-26 18:50 Michael Palimaka
2015-09-07  9:46 Michael Palimaka
2015-09-06 14:35 Agostino Sarubbo
2015-08-09 17:36 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1534871502.3e74f7c3e984d0573c1b640ec20c269d69a63b23.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox